complexType "FxCashSettlement"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 6 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | settlementCurrency, referenceCurrency?, notionalAmount?, (fixing+ | rateSourceFixing+)?, settlementDate?
</...>

Content Model Elements (6):

  fixing,
  notionalAmount (defined in FxCashSettlement complexType),
  rateSourceFixing,
  referenceCurrency (defined in FxCashSettlement complexType),
  settlementCurrency (defined in FxCashSettlement complexType),
  settlementDate (defined in FxCashSettlement complexType)

All Direct / Indirect Based Elements (2):

  cashSettlement (in fxOption),
  nonDeliverableSettlement (defined in FxCoreDetails.model group)

Known Usage Locations

- As direct type of elements (2):
  cashSettlement (in fxOption),
  nonDeliverableSettlement (defined in FxCoreDetails.model group)

Annotation
A type that is used for describing cash settlement of an option / non deliverable forward. It includes the currency to settle into together with the fixings required to calculate the currency amount.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="FxCashSettlement"> <xsd:sequence> <xsd:element name="settlementCurrency" type="Currency"/> <xsd:element minOccurs="0" name="referenceCurrency" type="Currency"/> <xsd:element minOccurs="0" name="notionalAmount" type="PositiveMoney"/> <xsd:choice minOccurs="0"> <xsd:element maxOccurs="unbounded" name="fixing" type="FxFixing"/> <xsd:element maxOccurs="unbounded" name="rateSourceFixing" type="FxRateSourceFixing"/> </xsd:choice> <xsd:element minOccurs="0" name="settlementDate" type="AdjustableDate"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/6)
fixing

  Type: | FxFixing, complex content

  Specifies the source for and timing of a fixing of an exchange rate. This is used in the agreement of non-deliverable forward trades as well as various types of FX OTC options that require observations against a particular rate. This element is optional, permitting it to be omitted where fixing details are unavailable at the point of message creation. It has multiple occurrence to support the case where fixing details must be specified for more than one currency pair e.g. on an option settled into a third currency (that is not one of the option currencies).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="fixing" type="FxFixing"/>

notionalAmount

  Type: | PositiveMoney, complex content

  The amount of money that the settlement will be derived from.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notionalAmount" type="PositiveMoney"/>

rateSourceFixing

  Type: | FxRateSourceFixing, complex content

  Specifies the source for and timing of a fixing of an exchange rate. This is used in the agreement of non-deliverable forward trades as well as various types of FX OTC options that require observations against a particular rate. This element is optional, permitting it to be omitted where fixing details are unavailable at the point of message creation. It has multiple occurrence to support the case where fixing details must be specified for more than one currency pair e.g. on an option settled into a third currency (that is not one of the option currencies).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="rateSourceFixing" type="FxRateSourceFixing"/>

referenceCurrency

  Type: | Currency, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="referenceCurrency" type="Currency"/>

settlementCurrency

  Type: | Currency, simple content

  The currency in which cash settlement occurs for non-deliverable forwards and cash-settled options (non-deliverable or otherwise).
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="settlementCurrency" type="Currency"/>

settlementDate

  Type: | AdjustableDate, complex content

  The date on which settlement is scheduled to occur
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementDate" type="AdjustableDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.